From 4c625d6ff2f632a7f17ecb1508ffb727fce763cd Mon Sep 17 00:00:00 2001
From: Merlijn Wajer <merlijn@wizzup.org>
Date: Thu, 19 Aug 2021 18:06:28 +0200
Subject: [PATCH] Add optional libprofile dependency

---
 configure.ac    | 12 ++++++++++++
 src/Makefile.am |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index a887c48..b7f9327 100644
--- a/configure.ac
+++ b/configure.ac
@@ -30,7 +30,19 @@ AM_PROG_LIBTOOL
 PKG_CHECK_MODULES(SPHONE, [gtk+-2.0 >= 2.8 dbus-glib-1 unique-1.0 sqlite3 gstreamer-1.0 alsa hildon-1])
 
 
+AC_ARG_ENABLE(libprofile,
+    [AS_HELP_STRING([--enable-libprofile],
+             [Use libprofile for settings [default=yes]]
+             )],
+     [],
+     [enable_libprofile="yes"])
 
+if test "x$enable_libprofile" = "xyes"; then
+    PKG_CHECK_MODULES(LIBPROFILE, profile)
+    AC_SUBST(LIBPROFILE_CFLAGS)
+    AC_SUBST(LIBPROFILE_LIBS)
+    AC_DEFINE(ENABLE_LIBPROFILE, 1, [libprofile enable define])
+fi
 
 AC_OUTPUT([
 Makefile
diff --git a/src/Makefile.am b/src/Makefile.am
index bce1517..4268632 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -9,7 +9,7 @@ AM_CPPFLAGS = \
 	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
 	-DPACKAGE_SRC_DIR=\""$(srcdir)"\" \
 	-DPACKAGE_DATA_DIR=\""$(datadir)"\" \
-	$(SPHONE_CFLAGS)
+	$(SPHONE_CFLAGS) $(LIBPROFILE_CFLAGS)
 
 AM_CFLAGS =\
 	 -Wall\
@@ -51,7 +51,7 @@ sphone_SOURCES = \
 sphone_LDFLAGS = \
 	-Wl,--export-dynamic
 
-sphone_LDADD = $(SPHONE_LIBS)
+sphone_LDADD = $(SPHONE_LIBS) $(LIBPROFILE_LIBS)
 
 EXTRA_DIST = $(glade_DATA)
 
-- 
2.26.3

